// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "SceneComponent.hpp"

using namespace Dawn;

void SceneComponent::init(const std::shared_ptr<SceneItem> item) {
  this->item = item;
  this->onInit();
}

std::shared_ptr<SceneItem> SceneComponent::getItem() {
  return this->item.lock();
}